---

# namespaces:
#   - &namespace_template
#     namespace_identifier: "gitlabe-runner"
#     namespace_appshortname: "guu"
#     service_account_name: "gitlab-runner"
#     irsa_enabled: true
#     irsa_type_role: "gitlab-runner"
#   - <<: *namespace_template
#     namespace_appshortname: "ftv"
#   - <<: *namespace_template
#     namespace_appshortname: "appcon"

# - &namespace_template
#   namespace_identifier: "gitlabe-runner"
#   namespace_appshortname: "guu"
#   service_account_name: "gitlab-runner"
#   irsa_enabled: true
#   irsa_type_role: "gitlab-runner"
# - <<: *namespace_template
#   namespace_appshortname: "nfr"

namespaces:
- &namespaces_template
  "irsa_enabled": true
  "irsa_type_role": "gitlab-runner"
  "namespace_appshortname": "guu"
  "namespace_identifier": "gitlabe-runner"
  "service_account_name": "gitlab-runner"
- <<: *namespaces_template
  "namespace_appshortname": "nfr"
- <<: *namespaces_template
  "namespace_appshortname": "ftv"
